%define upstream_name Net_IPv6
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.2.1
Release:     	%mkrel 6
Summary:    	Check and validate IPv6 addresses
License: 	BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Net_IPv6-%{version}.tgz
URL: 		http://pear.php.net/package/Net_IPv6
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear
BuildArch: 	noarch

%description
The class allows you to:
* check if an address is an IPv6 address
* compress/uncompress IPv6 addresses
* check for an IPv4 compatible ending in an IPv6 address
* check the assigned address space of an IPv6 address
* do netmask calculations

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_IPv6.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_IPv6.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_IPv6
fi

%files
%{peardir}/*
%{xmldir}/Net_IPv6.xml


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-6.mga5
+ Revision: 738919
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.2.1-5.mga5
+ Revision: 734095
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-4.mga5
+ Revision: 687373
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 517040
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 376989
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 23 2012 spuhler <spuhler> 1.2.1-1.mga2
+ Revision: 200009
- upgrade to 1.2.0
  pearized spec file

* Sat Jan 29 2011 spuhler <spuhler> 1.1.0-1.mga1
+ Revision: 43816
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_IPv6


* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-1mdv2011.0
+ Revision: 602111
- update to new version 1.1.0

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.5-6mdv2010.1
+ Revision: 468705
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.0.5-5mdv2010.0
+ Revision: 441451
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-4mdv2009.1
+ Revision: 322447
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-3mdv2009.0
+ Revision: 236986
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-2mdv2007.0
+ Revision: 82329
- Import php-pear-Net_IPv6

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-2mdk
- new group (Development/PHP)

* Thu Sep 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-1mdk
- 1.0.5

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-1mdk
- initial Mandriva package (PLD import)

